/* 
     电气火灾打印页面  echarts配置 及打印
*/

// 数据请求传参
getListData(getSearchParamObj());
// getListData();


function getListData(queryParam = {}) {


    ajaxRequest(ELE_FIRE_DATA, "POST", queryParam, function(result) {


        if (result.totalCount != 0) {
            console.log(1)
                //项目情况
            var project_situation = result.RESULT[0].project_situation;
            var items = '';
            items = `<tr>
                    <td>单位名称</td>
                    <td colspan="5">${project_situation.company_name}</td>
                </tr>
                <tr>
                    <td>进场日期</td>
                    <td>${project_situation.entry_date} </td>
                    <td>完工日期</td>
                    <td>${project_situation.completion_date}</td>
                    <td>验收日期</td>
                    <td>${project_situation.acceptance_date}</td>
                </tr>`
            $('#project_situation').html(items);

            //设备清单
            var equipment_list = result.RESULT[0].equipment_list;
            var items2 = '';
            if (equipment_list) {
                equipment_list.forEach(function(item, key) {
                    items2 += `<tr>
                                <td>${item.device_name}</td>  
                                <td>${item.device_info}</td>
                                <td>${item.device_code}</td>
                                <td>${item.remarks}</td>
                            </tr>`;
                })
                $('#equipment_list').html(items2)
            }

            //统计时段
            var statistical_period = result.RESULT[0].statistical_period;
            var items3 = '';
            items3 = `<div>统计起始日期：${statistical_period.start_date}</div>
                <div>统计截止日期：${statistical_period.closing_date}</div>
                <div>统计时段时长：${statistical_period.duration}</div>`;
            $('#statistical_period').html(items3)

            //数据统计计算
            var data_statistics = result.RESULT[0].data_statistics;
            var items4 = '';
            items4 = `<tr>
                    <td>${data_statistics.alarm_number}</td>
                    <td>${data_statistics.processing_number}</td>
                    <td>${data_statistics.unprocessed_number}</td>
                    <td>${data_statistics.treatment_rate}</td>
                    <td>${data_statistics.untreated_rate}</td>
                </tr>`;
            $('#data_statistics').html(items4);


            // 数据离散率挖掘
            let dispersion_rate = result.RESULT[0].dispersion_rate;
            console.log(result.RESULT[0].dispersion_rate)

            // 结论数据渲染
            var items = '';
            var conclusion = dispersion_rate.conclusion
            for (x in conclusion) {
                xIndex = x.substr(x.length - 1, 1);
                items += `<div>${xIndex}、${conclusion[x]}</div>`
            }
            $('.exportBox .divergence .summaryDetail').html(items);

            // 数据离散率挖掘1
            (function() {
                // 三相电压
                let a = [];
                let b = [];
                let c = [];
                let lectric_current = dispersion_rate.electric_current;
                lectric_current.forEach(function(item, index) {
                    a.push(item.variance)
                    b.push(item.standard_deviation)
                    c.push(item.average_value)
                });
                var sortData = [{
                    sortName: "三相电压",
                    data: [
                        a, b, c
                    ]
                }, ];

                var xData = function() {
                    var data = [];
                    for (var i = 1; i < lectric_current.length + 1; i++) {
                        data.push(i);
                    }
                    return data;
                }();

                // 1. 实例化对象
                var myChart = echarts.init(document.querySelector("#divergenceChart1"));
                // 2.指定配置
                var option = {

                    color: [{
                            colorStops: [{
                                offset: 0,
                                color: '#F9860C' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#fff' // 100% 处的颜色
                            }],
                        },

                        {
                            colorStops: [{
                                offset: 0,
                                color: '#07E1F1' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#0456CB' // 100% 处的颜色
                            }],

                        },

                        {
                            colorStops: [{
                                offset: 0,
                                color: '#11F90C' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#3FC713' // 100% 处的颜色
                            }],

                        }

                    ],

                    tooltip: {
                        trigger: "axis",
                        textStyle: {
                            align: 'left' //图例左对齐
                        },
                        backgroundColor: '#12DFE0',
                        formatter: '{a0}: {c0}<br />{a1}: {c1}<br />{a2}: {c2}<br />时间：' + chooseTime + ''

                    },
                    legend: {
                        // 如果series 对象有name 值，则 legend可以不用写data
                        itemGap: 20,
                        itemHeight: 2,
                        itemWidth: 15,
                        icon: 'rect',
                        textStyle: {
                            color: "#aaa"
                        },
                        top: "bottom",
                    },
                    grid: {
                        top: "0%",
                        left: "1%",
                        right: "1%",
                        bottom: "15%",
                        show: true, // 显示边框
                        borderWidth: '0', //去除边框
                        containLabel: true // 包含刻度文字在内
                    },

                    xAxis: {
                        type: "category",
                        boundaryGap: false,
                        data: xData,
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            color: "#AADDFF" // 文本颜色
                        },
                        axisLine: {
                            lineStyle: {
                                color: 'rgba(255,255,255,.3)'
                            }
                        },
                        splitLine: {
                            show: false
                        },
                        splitArea: {
                            show: true,
                            areaStyle: {
                                color: ["rgba(250,250,250,0.05)", "rgba(250,250,250,0.0)"]
                            }
                        }
                    },

                    yAxis: {
                        splitNumber: 8,
                        type: "value",
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            show: false // 去除文本
                        },
                        axisLine: {
                            show: false // 去除轴线
                        },
                        splitLine: {
                            lineStyle: {
                                color: "#012f4a", // 分割线颜色
                                opacity: .2
                            }
                        }
                    },
                    series: [{
                            symbol: "none",
                            name: "方差",
                            type: "line",
                            data: sortData[0].data[0]
                        },
                        {
                            symbol: "none",
                            name: "标准差",
                            type: "line",
                            data: sortData[0].data[1]
                        }, {
                            symbol: "none",
                            name: "平均值",
                            type: "line",
                            data: sortData[0].data[2]
                        }
                    ]
                };

                myChart.setOption(option);

                //echarts赋值到src
                var img1 = document.getElementById('divergenceChart1_img');
                setTimeout(function() {
                    img1.src = myChart.getDataURL();
                }, 1000)

            })();

            // 数据离散率挖掘2
            (function() {

                // 三相电流
                let a2 = [];
                let b2 = [];
                let c2 = [];
                let leakage_current = dispersion_rate.leakage_current;
                leakage_current.forEach(function(item, index) {
                    a2.push(item.variance)
                    b2.push(item.standard_deviation)
                    c2.push(item.average_value)
                });




                var sortData = [{
                        sortName: "三相电流",
                        data: [
                            a2, b2, c2
                        ]
                    },

                ];

                var xData = function() {
                    var data = [];
                    for (var i = 1; i < leakage_current.length + 1; i++) {
                        data.push(i);
                    }
                    return data;
                }();

                // 1. 实例化对象
                var myChart = echarts.init(document.querySelector("#divergenceChart2"));
                // 2.指定配置
                var option = {

                    color: [{

                            colorStops: [{
                                offset: 0,
                                color: '#F9860C' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#fff' // 100% 处的颜色
                            }],

                        },

                        {

                            colorStops: [{
                                offset: 0,
                                color: '#07E1F1' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#0456CB' // 100% 处的颜色
                            }],

                        },

                        {

                            colorStops: [{
                                offset: 0,
                                color: '#11F90C' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#3FC713' // 100% 处的颜色
                            }],

                        }

                    ],

                    tooltip: {
                        trigger: "axis",
                        textStyle: {
                            align: 'left' //图例左对齐
                        },
                        backgroundColor: '#12DFE0',
                        formatter: '{a0}: {c0}<br />{a1}: {c1}<br />{a2}: {c2}<br />时间：' + chooseTime + ''

                    },
                    legend: {
                        // 如果series 对象有name 值，则 legend可以不用写data
                        itemGap: 20,
                        itemHeight: 2,
                        itemWidth: 15,
                        icon: 'rect',
                        textStyle: {
                            color: "#aaa"
                        },
                        top: "bottom",
                    },
                    grid: {
                        top: "0%",
                        left: "1%",
                        right: "1%",
                        bottom: "15%",
                        show: true, // 显示边框
                        borderWidth: '0', //去除边框
                        containLabel: true // 包含刻度文字在内
                    },

                    xAxis: {
                        type: "category",
                        boundaryGap: false,
                        data: xData,
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            color: "#AADDFF" // 文本颜色
                        },
                        axisLine: {
                            lineStyle: {
                                color: 'rgba(255,255,255,.3)'
                            }
                        },
                        splitNumber: 8,
                        splitLine: {
                            show: false
                        },
                        splitArea: {
                            show: true,
                            areaStyle: {
                                color: ["rgba(250,250,250,0.05)", "rgba(250,250,250,0.0)"]
                            }
                        }
                    },

                    yAxis: {
                        type: "value",
                        splitNumber: 8,
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            show: false // 去除文本
                        },
                        axisLine: {
                            show: false // 去除轴线
                        },
                        splitLine: {
                            lineStyle: {
                                color: "#012f4a", // 分割线颜色
                                opacity: .2
                            }
                        }
                    },
                    series: [{
                            symbol: "none",
                            name: "方差",
                            type: "line",
                            data: sortData[0].data[0]
                        },
                        {
                            symbol: "none",
                            name: "标准差",
                            type: "line",
                            data: sortData[0].data[1]
                        }, {
                            symbol: "none",
                            name: "平均值",
                            type: "line",
                            data: sortData[0].data[2]
                        }
                    ]
                };

                myChart.setOption(option);

                //echarts赋值到src
                var img1 = document.getElementById('divergenceChart2_img');
                setTimeout(function() {
                    img1.src = myChart.getDataURL();
                }, 1000)
            })();

            // 数据离散率挖掘3
            (function() {
                // 三相温度
                let a3 = [];
                let b3 = [];
                let c3 = [];
                let temperature = dispersion_rate.temperature;
                temperature.forEach(function(item, index) {
                    a3.push(item.variance)
                    b3.push(item.standard_deviation)
                    c3.push(item.average_value)
                });


                var sortData = [{
                    sortName: "三相温度",
                    data: [
                        a3, b3, c3
                    ]
                }, ];

                var xData = function() {
                    var data = [];
                    for (var i = 1; i < temperature.length + 1; i++) {
                        data.push(i);
                    }
                    return data;
                }();

                // 1. 实例化对象
                var myChart = echarts.init(document.querySelector("#divergenceChart3"));
                // 2.指定配置
                var option = {

                    color: [{

                            colorStops: [{
                                offset: 0,
                                color: '#F9860C' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#fff' // 100% 处的颜色
                            }],

                        },

                        {

                            colorStops: [{
                                offset: 0,
                                color: '#07E1F1' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#0456CB' // 100% 处的颜色
                            }],

                        },

                        {

                            colorStops: [{
                                offset: 0,
                                color: '#11F90C' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#3FC713' // 100% 处的颜色
                            }],

                        }

                    ],

                    tooltip: {
                        trigger: "axis",
                        textStyle: {
                            align: 'left' //图例左对齐
                        },
                        backgroundColor: '#12DFE0',
                        formatter: '{a0}: {c0}<br />{a1}: {c1}<br />{a2}: {c2}<br />时间：' + chooseTime + ''

                    },
                    legend: {
                        // 如果series 对象有name 值，则 legend可以不用写data
                        itemGap: 20,
                        itemHeight: 2,
                        itemWidth: 15,
                        icon: 'rect',
                        textStyle: {
                            color: "#aaa"
                        },
                        top: "bottom",
                    },
                    grid: {
                        top: "0%",
                        left: "1%",
                        right: "1%",
                        bottom: "15%",
                        show: true, // 显示边框
                        borderWidth: '0', //去除边框
                        containLabel: true // 包含刻度文字在内
                    },

                    xAxis: {
                        type: "category",
                        boundaryGap: false,
                        data: xData,
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            color: "#AADDFF" // 文本颜色
                        },
                        axisLine: {
                            lineStyle: {
                                color: 'rgba(255,255,255,.3)'
                            }
                        },
                        splitNumber: 8,
                        splitLine: {
                            show: false
                        },
                        splitArea: {
                            show: true,
                            areaStyle: {
                                color: ["rgba(250,250,250,0.05)", "rgba(250,250,250,0.0)"]
                            }
                        }
                    },

                    yAxis: {
                        type: "value",
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            show: false // 去除文本
                        },
                        axisLine: {
                            show: false // 去除轴线
                        },
                        splitLine: {
                            lineStyle: {
                                color: "#012f4a", // 分割线颜色
                                opacity: .2
                            }
                        }
                    },
                    series: [{
                            symbol: "none",
                            name: "方差",
                            type: "line",
                            data: sortData[0].data[0]
                        },
                        {
                            symbol: "none",
                            name: "标准差",
                            type: "line",
                            data: sortData[0].data[1]
                        }, {
                            symbol: "none",
                            name: "平均值",
                            type: "line",
                            data: sortData[0].data[2]
                        }
                    ]
                };

                myChart.setOption(option);
                //echarts赋值到src
                var img1 = document.getElementById('divergenceChart3_img');
                setTimeout(function() {
                    img1.src = myChart.getDataURL();
                }, 1000)
            })();

            // 数据离散率挖掘4
            (function() {
                //  漏电电流
                let a4 = [];
                let b4 = [];
                let c4 = [];
                let voltage = dispersion_rate.voltage;
                voltage.forEach(function(item, index) {
                    a4.push(item.variance)
                    b4.push(item.standard_deviation)
                    c4.push(item.average_value)
                });
                var sortData = [{
                    sortName: "三相电流",
                    data: [
                        a4, b4, c4
                    ]
                }, ];

                var xData = function() {
                    var data = [];
                    for (var i = 1; i < voltage.length + 1; i++) {
                        data.push(i);
                    }
                    return data;
                }();

                // 1. 实例化对象
                var myChart = echarts.init(document.querySelector("#divergenceChart4"));
                // 2.指定配置
                var option = {

                    color: [{

                            colorStops: [{
                                offset: 0,
                                color: '#F9860C' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#fff' // 100% 处的颜色
                            }],

                        },

                        {

                            colorStops: [{
                                offset: 0,
                                color: '#07E1F1' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#0456CB' // 100% 处的颜色
                            }],

                        },

                        {

                            colorStops: [{
                                offset: 0,
                                color: '#11F90C' // 0% 处的颜色
                            }, {
                                offset: 1,
                                color: '#3FC713' // 100% 处的颜色
                            }],

                        }

                    ],

                    tooltip: {
                        trigger: "axis",
                        textStyle: {
                            align: 'left' //图例左对齐
                        },
                        backgroundColor: '#12DFE0',
                        formatter: '{a0}: {c0}<br />{a1}: {c1}<br />{a2}: {c2}<br />时间：' + chooseTime + ''

                    },
                    legend: {
                        // 如果series 对象有name 值，则 legend可以不用写data
                        itemGap: 20,
                        itemHeight: 2,
                        itemWidth: 15,
                        icon: 'rect',
                        textStyle: {
                            color: "#aaa"
                        },
                        top: "bottom",
                    },
                    grid: {
                        top: "0%",
                        left: "1%",
                        right: "1%",
                        bottom: "15%",
                        show: true, // 显示边框
                        borderWidth: '0', //去除边框
                        containLabel: true // 包含刻度文字在内
                    },

                    xAxis: {
                        type: "category",
                        boundaryGap: false,
                        data: xData,
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            color: "#AADDFF" // 文本颜色
                        },
                        axisLine: {
                            lineStyle: {
                                color: 'rgba(255,255,255,.3)'
                            }
                        },
                        splitNumber: 8,
                        splitLine: {
                            show: false
                        },
                        splitArea: {
                            show: true,
                            areaStyle: {
                                color: ["rgba(250,250,250,0.05)", "rgba(250,250,250,0.0)"]
                            }
                        }
                    },

                    yAxis: {
                        type: "value",
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            show: false // 去除文本
                        },
                        axisLine: {
                            show: false // 去除轴线
                        },
                        splitLine: {
                            lineStyle: {
                                color: "#012f4a", // 分割线颜色
                                opacity: .2
                            }
                        }
                    },
                    series: [{
                            symbol: "none",
                            name: "方差",
                            type: "line",
                            data: sortData[0].data[0]
                        },
                        {
                            symbol: "none",
                            name: "标准差",
                            type: "line",
                            data: sortData[0].data[1]
                        }, {
                            symbol: "none",
                            name: "平均值",
                            type: "line",
                            data: sortData[0].data[2]
                        }
                    ]
                };

                myChart.setOption(option);
                //echarts赋值到src
                var img1 = document.getElementById('divergenceChart4_img');
                setTimeout(function() {
                    img1.src = myChart.getDataURL();
                }, 1000)
            })();


            // 电老化分析
            let electrical_aging = result.RESULT[0].electrical_aging;

            // 结论数据渲染
            var items = '';
            var conclusion = electrical_aging.conclusion
            for (x in conclusion) {
                xIndex = x.substr(x.length - 1, 1);
                items += `<div>${xIndex}、${conclusion[x]}</div>`
            }
            $('.exportBox .oldAnalysis .summaryDetail').html(items);

            // 电老化分析1
            (function() {
                // 异常设备监控电缆数据
                let a = [];
                let b = [];

                let abnormal_equipment = electrical_aging.abnormal_equipment;
                abnormal_equipment.forEach(function(item, index) {
                    a.push(item.electric_current)
                    b.push(item.voltage)
                });

                var sortData = [{
                        sortName: "异常设备",
                        data: [a, b]
                    },

                ];

                var xData = function() {
                    var data = [];
                    for (var i = 1; i < abnormal_equipment.length + 1; i++) {
                        data.push(i);
                    }
                    return data;
                }();

                // 1. 实例化对象
                var myChart = echarts.init(document.querySelector("#oldAnalysisChart1"));
                // 2.指定配置
                var option = {

                    color: ["#FF9C00", "#0096FF"], // 通过这个color修改两条线的颜色
                    tooltip: {
                        trigger: "axis",
                        textStyle: {
                            align: 'left' //图例左对齐
                        },
                        backgroundColor: '#12DFE0',
                        formatter: '{a0}: {c0}<br />{a1}: {c1}<br />时间：' + chooseTime + ''

                    },
                    legend: {
                        // 如果series 对象有name 值，则 legend可以不用写data
                        itemGap: 20,
                        itemHeight: 2,
                        itemWidth: 15,
                        icon: 'rect',
                        textStyle: {
                            color: "#aaa"
                        },
                        top: "bottom",
                    },
                    grid: {
                        top: "0%",
                        left: "1%",
                        right: "1%",
                        bottom: "15%",
                        show: true, // 显示边框
                        borderWidth: '0', //去除边框
                        containLabel: true // 包含刻度文字在内
                    },

                    xAxis: {
                        type: "category",
                        boundaryGap: false,
                        data: xData,
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            color: "#AADDFF" // 文本颜色
                        },
                        axisLine: {
                            show: false // 去除轴线
                        }
                    },

                    yAxis: {
                        type: "value",
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            show: false // 去除文本
                        },
                        axisLine: {
                            show: false // 去除轴线
                        },
                        splitLine: {
                            lineStyle: {
                                color: "#012f4a", // 分割线颜色
                                opacity: .2
                            }
                        }
                    },
                    series: [{
                            symbol: "none",
                            name: "电流",
                            type: "line",
                            smooth: true, // true 可以让我们的折线显示带有弧度
                            areaStyle: {
                                normal: {
                                    color: new echarts.graphic.LinearGradient(
                                        0,
                                        0,
                                        0,
                                        1, [{
                                                offset: 0,
                                                color: "rgba(255,156,0, 0.4)"
                                            },
                                            {
                                                offset: 0.8,
                                                color: "rgba(255,156,0, 0.3)"
                                            }
                                        ],
                                        false
                                    ),
                                    shadowColor: "rgba(0, 0, 0, 0.1)"
                                }
                            },


                            data: sortData[0].data[0]
                        },
                        {
                            symbol: "none",
                            name: "电压",
                            type: "line",
                            smooth: true,
                            areaStyle: {
                                normal: {
                                    color: new echarts.graphic.LinearGradient(
                                        0,
                                        0,
                                        0,
                                        1, [{
                                                offset: 0,
                                                color: "rgba(0,150,255,0.5)"
                                            },
                                            {
                                                offset: 0.8,
                                                color: "rgba(0,150,255, 0.1)"
                                            }
                                        ],
                                        false
                                    ),
                                    shadowColor: "rgba(0, 0, 0, 0.1)"
                                }
                            },

                            data: sortData[0].data[1]
                        }
                    ]
                };

                myChart.setOption(option);
                var img1 = document.getElementById('oldAnalysisChart1_img');
                setTimeout(function() {
                    img1.src = myChart.getDataURL();
                }, 1000)

            })();

            // 电老化分析2
            (function() {

                // 漏电告警数据
                let a2 = [];
                let b2 = [];

                let leakage_alarm = electrical_aging.leakage_alarm;
                leakage_alarm.forEach(function(item, index) {
                    a2.push(item.electric_current)
                    b2.push(item.voltage)
                });


                var sortData = [{
                    sortName: "漏电告警",
                    data: [a2, b2]
                }];

                var xData = function() {
                    var data = [];
                    for (var i = 1; i < leakage_alarm.length + 1; i++) {
                        data.push(i);
                    }
                    return data;
                }();

                // 1. 实例化对象
                var myChart = echarts.init(document.querySelector("#oldAnalysisChart2"));
                // 2.指定配置
                var option = {

                    color: ["#FF9C00", "#0096FF"], // 通过这个color修改两条线的颜色
                    tooltip: {
                        trigger: "axis",
                        textStyle: {
                            align: 'left' //图例左对齐
                        },
                        backgroundColor: '#12DFE0',
                        formatter: '{a0}: {c0}<br />{a1}: {c1}<br />时间：' + chooseTime + ''

                    },
                    legend: {
                        // 如果series 对象有name 值，则 legend可以不用写data
                        itemGap: 20,
                        itemHeight: 2,
                        itemWidth: 15,
                        icon: 'rect',
                        textStyle: {
                            color: "#aaa"
                        },
                        top: "bottom",
                    },
                    grid: {
                        top: "0%",
                        left: "1%",
                        right: "1%",
                        bottom: "15%",
                        show: true, // 显示边框
                        borderWidth: '0', //去除边框
                        containLabel: true // 包含刻度文字在内
                    },

                    xAxis: {
                        type: "category",
                        boundaryGap: false,
                        data: xData,
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            color: "#AADDFF" // 文本颜色
                        },
                        axisLine: {
                            show: false // 去除轴线
                        }
                    },

                    yAxis: {
                        type: "value",
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            show: false // 去除文本
                        },
                        axisLine: {
                            show: false // 去除轴线
                        },
                        splitLine: {
                            lineStyle: {
                                color: "#012f4a", // 分割线颜色
                                opacity: .2
                            }
                        }
                    },
                    series: [{
                            symbol: "none",
                            name: "电流",
                            type: "line",
                            smooth: true, // true 可以让我们的折线显示带有弧度
                            areaStyle: {
                                normal: {
                                    color: new echarts.graphic.LinearGradient(
                                        0,
                                        0,
                                        0,
                                        1, [{
                                                offset: 0,
                                                color: "rgba(255,156,0, 0.4)"
                                            },
                                            {
                                                offset: 0.8,
                                                color: "rgba(255,156,0, 0.3)"
                                            }
                                        ],
                                        false
                                    ),
                                    shadowColor: "rgba(0, 0, 0, 0.1)"
                                }
                            },


                            data: sortData[0].data[0]
                        },
                        {
                            symbol: "none",
                            name: "电压",
                            type: "line",
                            smooth: true,
                            areaStyle: {
                                normal: {
                                    color: new echarts.graphic.LinearGradient(
                                        0,
                                        0,
                                        0,
                                        1, [{
                                                offset: 0,
                                                color: "rgba(0,150,255,0.5)"
                                            },
                                            {
                                                offset: 0.8,
                                                color: "rgba(0,150,255, 0.1)"
                                            }
                                        ],
                                        false
                                    ),
                                    shadowColor: "rgba(0, 0, 0, 0.1)"
                                }
                            },

                            data: sortData[0].data[1]
                        }
                    ]
                };

                myChart.setOption(option);
                var img1 = document.getElementById('oldAnalysisChart2_img');
                setTimeout(function() {
                    img1.src = myChart.getDataURL();
                }, 1000)
            })();

            // 热老化分析

            let thermal_aging = result.RESULT[0].thermal_aging;

            // 结论数据渲染
            var items = '';
            var conclusion = thermal_aging.conclusion
            for (x in conclusion) {
                xIndex = x.substr(x.length - 1, 1);
                items += `<div>${xIndex}、${conclusion[x]}</div>`
            }
            $('.exportBox .hotAnalysis .summaryDetail').html(items);

            // 热老化
            (function() {

                let a = [];
                let b = [];
                let c = [];
                let visualization = thermal_aging.visualization;
                visualization.forEach(function(item, index) {
                    a.push(item.generation_temperature)
                    b.push(item.ambient_temperature)
                    c.push(item.Cable_temperature)
                });

                var sortData = [{
                    data: [a, b, c]
                }];

                var xData = function() {
                    var data = [];
                    for (var i = 1; i < visualization.length + 1; i++) {
                        data.push(i);
                    }
                    return data;
                }();

                // 1. 实例化对象
                var myChart = echarts.init(document.querySelector("#hotAnalysisChart1"));
                // 2.指定配置
                var option = {

                    color: ["#05EEE7", "#9999FF", "#FE92B3"], // 通过这个color修改三条线的颜色
                    tooltip: {
                        trigger: "axis",
                        textStyle: {
                            align: 'left' //图例左对齐
                        },
                        backgroundColor: '#12DFE0',
                        formatter: '{a0}: {c0}°C<br />{a1}: {c1}°C<br />{a2}: {c2}°C<br />时间：' + chooseTime + ''

                    },
                    legend: {
                        // 如果series 对象有name 值，则 legend可以不用写data
                        itemGap: 20,
                        itemHeight: 2,
                        itemWidth: 15,
                        icon: 'rect',
                        textStyle: {
                            color: "#aaa"
                        },
                        top: "bottom",
                    },
                    grid: {
                        top: "0%",
                        left: "1%",
                        right: "1%",
                        bottom: "15%",
                        show: true, // 显示边框
                        borderWidth: '0', //去除边框
                        containLabel: true // 包含刻度文字在内
                    },

                    xAxis: {
                        type: "category",
                        boundaryGap: false,
                        data: xData,
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            color: "#AADDFF" // 文本颜色
                        },
                        axisLine: {
                            show: false // 去除轴线
                        }
                    },

                    yAxis: {
                        type: "value",
                        axisTick: {
                            show: false // 去除刻度线
                        },
                        axisLabel: {
                            show: false // 去除文本
                        },
                        axisLine: {
                            show: false // 去除轴线
                        },
                        splitLine: {
                            lineStyle: {
                                color: "#012f4a", // 分割线颜色
                                opacity: .2
                            }
                        }
                    },
                    series: [{
                            symbol: "none",
                            name: "线缆产生的温度",
                            type: "line",
                            smooth: true, // true 可以让我们的折线显示带有弧度
                            areaStyle: {
                                normal: {
                                    color: new echarts.graphic.LinearGradient(
                                        0,
                                        0,
                                        0,
                                        1, [{
                                                offset: 0,
                                                color: "rgba(5,238,231,.6)"
                                            },
                                            {
                                                offset: 0.8,
                                                color: "rgba(5,238,231, 0.4)"
                                            }
                                        ],
                                        false
                                    ),
                                }
                            },

                            data: sortData[0].data[0]
                        },
                        {
                            symbol: "none",
                            name: "环境温度",
                            type: "line",
                            smooth: true,
                            areaStyle: {
                                normal: {
                                    color: new echarts.graphic.LinearGradient(
                                        0,
                                        0,
                                        0,
                                        1, [{
                                                offset: 0,
                                                color: "rgba(153,153,255,.6)"
                                            },
                                            {
                                                offset: 0.8,
                                                color: "rgba(153,153,255, 0.4)"
                                            }
                                        ],
                                        false
                                    ),
                                }
                            },

                            data: sortData[0].data[1]
                        },
                        {
                            symbol: "none",
                            name: "线缆温度",
                            type: "line",
                            smooth: true,
                            areaStyle: {
                                normal: {
                                    color: new echarts.graphic.LinearGradient(
                                        0,
                                        0,
                                        0,
                                        1, [{
                                                offset: 0,
                                                color: "rgba(255,147,180,.6)"
                                            },
                                            {
                                                offset: 0.8,
                                                color: "rgba(255,147,180, 0.4)"
                                            }
                                        ],
                                        false
                                    ),
                                }
                            },

                            data: sortData[0].data[2]
                        }
                    ]
                };

                myChart.setOption(option);
                var img1 = document.getElementById('hotAnalysisChart1_img');
                setTimeout(function() {
                    img1.src = myChart.getDataURL();
                }, 1000)


            })();

        } else {
            alert('暂无数据')
                // layer.alert('暂无数据', { icon: 5 });
        }


    }, function(errorMsg) {
        alert("请求数据失败!");
    }, 2)
};

function getSearchParamObj() {
    let queryParam = {};
    let buildingVal = $('#building').val();
    let chooseTime = $('#chooseTime').val();
    queryParam.company_code = buildingVal;
    queryParam.generation_time = chooseTime;
    return queryParam;

}


// 打印
(function() {

    $("#btnPrint").click(function() {

        print_detail()

    });

    var print_detail = function() {

        //打印前echarts图表转换成图片 start 
        $('#divergenceChart1_img,#divergenceChart2_img,#divergenceChart3_img,#divergenceChart4_img').show()
        $('#divergenceChart1,#divergenceChart2,#divergenceChart3,#divergenceChart4').hide()
        $('#oldAnalysisChart1_img,#oldAnalysisChart2_img').show()
        $('#oldAnalysisChart1,#oldAnalysisChart2').hide()
        $('#hotAnalysisChart1_img').show()
        $('#hotAnalysisChart1').hide()
            //  end

        var div1_label1 = document.getElementById('printArea').innerHTML;
        var hkey_key;
        var hkey_root = 'HKEY_CURRENT_USER';
        var hkey_path = '\\Software\\Micorsoft\\Internet Explorer\\PageSetup\\';
        var print_win = window.open('打印窗口', '_blank');
        var div = document.createElement('div');
        div.setAttribute('width', '100%');
        div.setAttribute('height', '100%');
        var div_print = document.createElement('div');
        div_print.setAttribute('style', 'width:595px;height:842px;padding:50px 20px;margin:0px auto 0px auto');
        div_print.innerHTML = div1_label1;
        div.appendChild(div_print);

        print_win.document.write(div.innerHTML);
        print_win.document.close();
        try {
            var RegWsh = new ActiveXObject('WScript.Shell');
            hkey_key = 'header';
            RegWsh.RegWrite(hkey_root + hkey_path + hkey_key, '');
            hkey_key = 'footer';
            RegWsh.RegWrite(hkey_root + hkey_path + hkey_key, '');
        } catch (e) {}
        print_win.print();
        print_win.close();
    }
})()